---
title: "Mission Trip 2024"
date: 2023-08-23
tags: ["mission-trip", "tfc"]
newsletter: true
featured_image: "featured.jpg"
showAuthor: false
showAuthorsBadge: true
showTaxonomies: true
showReadingTime: true
showWordCount: true
showTableOfContents: true 
showDate: true
showHero: true
layout: hero
description: ""
summary: ""
authors: ["Jeremy Ford"]
---

This year we went on two trips, one to Rehoboth Christian Schools in New Mexico to help with construction around their campus, and one to Roca Blanco in Mexico to work alongside them in their childrens ministries and spread the Gospel!

# Rehoboth Christian Schools, New Mexico

Going to Rehoboth Christian Schools was a chance to work hard and share the love of Jesus for a school that is doing a lot of really cool things! We use work trips like this to stretch the comfort zones of teenagers and help them to grow a "heart for the world". A lot of times we see teenagers learn how to die to self in big ways on these trips!

![Sunday on the way home!](nm_sunday.jpg "Sunday on the way home!")

Rehoboth Christian Schools is a pre-school through high school, that serves the region of Gallup, New Mexico. They use their school as a way to bring a much high quality service to students from the area and share Jesus with the people there. [Rehoboth Christian School](https://www.rcsnm.org) was founded in 1903 as a ministry to the Native American people of the Four Corners region. Today, Rehoboth continues its ministry through education with multiculturalism as a backdrop, serving approximately 75% Native American students, 17% Anglo students, and 8% of students of Hispanic descent and other ethnic minorities. Rehoboth is committed to building students up not only intellectually, but also spiritually and emotionally, helping them grow into mature Christians.


We had the awesome opportunity to roof two buildings, paint many windows and doors, and help with all kinds of odd jobs around the campus including demoing a computer lab so it could be transformed into a new special education room. The first buildng the team did was a garage/greenhouse used by the school for maintenance and teaching gardening and agriculture. The second was the older pre-school dorms that are going to be renovated into more general dormitories for volunteer teams like ours in the future. The dorm we stayed in as well as the one we roofed had many windows that were starting to take on some water and needed to be repainted to help seal the buildings up.

The final job we had was to demo the computer lab in the middle school. The school was hoping to convert it into a dedicated space for their special education students, so we tore out the counters and floors and leveled everything off so they'd be able to rebuild it however they needed. Many of the teens learned how to use all kinds of new tools as they enjoyed tearing down the room!

We also were given some really cool cultural experiences around the Gallup area. Going to a farmers market gave us a huge appreciation for the culture and community there, while talking with a pastor who has worked there for over two decades greatly expanded the spiritual views of many of the teens by seeing how the Navajo people view spirituality differently than we often do. We also were incredibly blessed to have gotten to know the people who help run Rehoboth Christian Schools more and learn from them as they have led this incredible school and ministry to help many kids come to know Christ and serve him throughout their lives.

![Praying for the work and ministry of Rehoboth](nm_praying.jpg "Praying for the work and ministry of Rehoboth")

Our time working with Rehoboth gave the teenagers a new look on life and missions by developing a "heart for the World" in them. It was an awesome experience where many teenagers found themselves wanting to do more and more as they served God by serving the people at Rehoboth

{{< pt src="https://videos.tfcconnection.org/videos/embed/193ae521-0064-4c78-a435-4cfb0ff86d2e" >}}
{{< spacing height="h-8" >}}

# Roca Blanca Mission Base, Mexico

The Mexico mission trip to Roca Blanca Mission Base was a Level 3 mission trip which means that this trip was designed to help the teens develop “apostolic passion” to be sent out as disciples to spread the Gospel and make disciples. The teens were given experience sharing their faith with others and praying over people, with some incredible results.

The [Roca Blanca Mission Base ](https://rocablanca.org) was founded around 40 years ago when some missionaries began visiting Oaxaca, Mexico and people began to follow Jesus. The Gospel had only come to this region of Mexico around 50 years ago and this region still contains the most unreached people groups in the Americas. The Mission base impacts the lives of people in this region (and beyond) in several ways including:

- A multi-grade school (pre-k thru HS) that currently has 65 students but is growing.
- A boarding school that has 40 students.
- A music school that has 45 students.
- A 3-year Bible School program that currently has 105 students (Mostly 18-22 years old.)
- An orphanage.
- A medical clinic.
- A trade school that teaches many different trades including carpentry, welding, plumbing, electrical, cooking, sewing and multi-media, and they are working on adding auto mechanics, beauty, and a full nursing program.

![The Mission Team in Roca Blanca](featured.jpg "The Mission Team in Roca Blanca")

Steven Roberts from Hutchinson, Kansas is the director of the Trade School. He was good friends with Ken Massey (former TFC Staff member) who kept telling him that he needed to go on a mission trip, but Steve was “too busy” with his construction company to go. When Ken died Steve decided he needed to honor Ken by going on a mission trip. That led him to going to Roca Blanca Mission Base and to him leaving behind his very successful construction company to build and lead the trade school on the base. He left everything behind and followed Jesus’ call to Roca Blanca. He has an incredible testimony which the teens heard all about on the trip and they helped do some landscaping at the trade school building which is nearing completion.

Through the Bible School program, they raise up missionaries and pastors to send them out to plant and lead churches. Currently they are overseeing 84 churches and are in the process of planting more. The students also attend the trade school in order to be able to support themselves in the villages and as a way of reaching out into the community they serve. Medical care is a key way that they reach people in the villages which is why they are investing in a nursing program. Medical missions open the door for sharing the Gospel with people and helping them turn away from the witch doctors in the villages.

![Praying for the locals](praying.jpg "Praying for the locals")

Another way they serve people and open the door for the Gospel is by delivering food to families, some of whom live mainly on rice and beans which leads to health problems. The team handed out food bags in three villages and had the opportunity to share the Gospel and pray over families. This was one of our favorite parts of the trip and we had the privilege of leading 5 people to Salvation. We also prayed for people with serious health issues and another family who was dealing with deep grief after losing three family members in the span of 8 months. It was a deeply emotional visit both for them and us. One of the villages we visited has descendants of African slaves who were shipwrecked off the coast and settled there. They still practice their voodoo religion including human sacrifices and offering their children to Satan, so there is deep spiritual darkness in that area. Roca Blanca has faced some opposition to ministering there, but the people are open to medical missions and food. Roca Blanca is working to plant a church in that village and our team provided them with the funds they needed to get a provisional church started. They still need to raise $10,000 to build a church building and one of the teen girls on the trip went home with a plan to begin raising the funds so they can build the church as soon as possible.

During our time there we also had the opportunity to spend some time with the kids at the orphanage and participate in two children's ministry opportunities including an outreach event in one of their churches and a Kid’s Club meeting in a different community. The teens learned three skits to present the Gospel to the kids, learned motions to songs they sang and a couple of them even shared their testimonies with the kids. 

![Kids in the orphanage](kids.jpg "Kids in the orphanage")

God blessed us in amazing ways on this trip and we saw Him work in the lives of people we met. We also heard powerful testimonies from people at the Mission Base and how God is working in and through them to make disciples in that area. 

{{< pt src="https://videos.tfcconnection.org/videos/embed/d2cf2a32-0d01-462c-8557-f1895046f3d0" >}}
